//==================================================
//--------- Programmed by Alexey Grebennikov--------
//-------- alexey.grebennikov@bakerhughes.com-------
//==================================================
//
// Main parameters file
// 
// States of FFT core FSM
// 
  `define   FFT_IDLE    4'b1001         // FFT is in idle state
  `define   FFT_STAGE1  4'b0001         // First stage of FFT
  `define   FFT_STAGE2  4'b0010         // Second stage of FFT
  `define   FFT_STAGE3  4'b0011         // Third stage of FFT
  `define   FFT_STAGE4  4'b0100         // Fourth stage of FFT  
  `define   FFT_STAGE5  4'b0101         // Fifth stage of FFT
  `define   FFT_STAGE6  4'b0110         // Sixth stage of FFT
  `define   FFT_STAGE7  4'b0111         // Seventh stage of FFT
  `define   FFT_DONE    4'b1000         // Conversion is completed
  
// States of multiplier FSM
  `define   MULT_IDLE    4'b0000        // IDLE State
  `define   MULT_M1      4'b0001        // First multiplication
  `define   MULT_P1      4'b0010        // Propagate mult results to P output for mult2 and mult4
  `define   MULT_A1      4'b0011        // Add/subtract mult products to get result of complex numbers multiplication
  `define   MULT_S1      4'b0100        // Final add/subtract operation of FFT butterfly
  `define   MULT_DONE    4'b0101        // One FFT butterfly cycle is completed
  